set PROD;# insieme prodotti;
set RIS;# insieme risorse;

param prof{PROD} >=0;# profitto prodotto
param dom{PROD}>=0, default Infinity;# domanda prodotto
param disp{RIS} >=0;# disponibilità risorsa
param cons{RIS,PROD};# consumo risorsa per prodotto

var Qta{p in PROD} >=0, <=dom[p];

subject to consumo_max{r in RIS}:
	sum{p in PROD} cons[r,p]*Qta[p]<= disp[r];

maximize profitto: sum{p in PROD} prof[p]*Qta[p];
