set P; #tipologie programmi televisivi
set F within P; #tipologie di film

param l_12{P} >= 0, default 0; #durata minima in minuti da garantire in 12h
param u_12{P} >= 0, default Infinity; #durata massima in minuti per 12h
param lf_12 >= 0; #durata minima in minuti da garantire in 12h solo per i film
param uf_12 >= 0; #durata massima in minuti per 12h solo per i film
param r{P}; #rendimento orario in Euro
param t >= 0; #orizzonte di pianificazione in ore

check{i in P}: l_12[i] <= u_12[i];
check lf_12 <= uf_12;

var x{i in P} >= l_12[i]*t/12, <= u_12[i]*t/12; #minuti di trasmissione per tipologia di programma rispetto a t

subject to bound_film :
	lf_12*t/12 <= sum{j in F} x[j] <= uf_12*t/12;

maximize profitto :
	sum{i in P} r[i]*x[i]/60;

